/*!
 	@file
 	@brief	ビットマップファイル操作クラス
 */

#ifndef CBitmapLoader_h
#define CBitmapLoader_h

#include"../../../Setup/CompileMode.h"
#include"../../../auxiliary/mstring.h"

#include"../../../Graphic/Color.h"
#include"../../../Graphic/Core/Driver/CTextureBufferMemory.h"


namespace Maid
{
	namespace CBitmapLoader
	{
		void   Load( const mstring& FileName, CTextureBufferMemory& dst );
		void   Save( const mstring& FileName, const CTextureBufferMemory& src );
		void   Save( const mstring& FileName, ISurfaceBuffer& src );
	};
}

#endif
